summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
authorSergey Andreenko <seandree@microsoft.com>2019-06-14 18:19:13 -0700
committerGitHub <noreply@github.com>2019-06-14 18:19:13 -0700
commit14a981fd1d92f261870d64435ed50e599747a323 (patch)
tree33b86a7bb54af961cc771c1e0312c62863cbe13a /build-test.sh
parent3eb98b0c307548cae8825551ac5e12afa8161122 (diff)
downloadcoreclr-14a981fd1d92f261870d64435ed50e599747a323.tar.gz
coreclr-14a981fd1d92f261870d64435ed50e599747a323.tar.bz2
coreclr-14a981fd1d92f261870d64435ed50e599747a323.zip
abort build-tests if failed to restore stress dependencies (#25140)
* abort build-tests if failed to restore stress dependencies * Fix arm condition. * Add arm64 condition. * Skip runtime dependencies for arm32/arm64.
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/build-test.sh b/build-test.sh
index aa25c85bc6..65703d57bf 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -156,9 +156,13 @@ generate_layout()
cp -r $__BinDir/* $CORE_ROOT/ > /dev/null
if [ "$__BuildOS" != "OSX" ]; then
- nextCommand="\"$__TestDir/setup-stress-dependencies.sh\" --outputDir=$CORE_ROOT"
+ nextCommand="\"$__TestDir/setup-stress-dependencies.sh\" --arch=$__BuildArch --outputDir=$CORE_ROOT"
echo "Resolve runtime dependences via $nextCommand"
eval $nextCommand
+ if [ $? != 0 ]; then
+ echo "${__MsgPrefix}Error: setup-stress-dependencies failed."
+ exit 1
+ fi
fi
# Precompile framework assemblies with crossgen if required